# Class ScaleData

java.lang.Object
jspecview.common.ScaleData

public class ScaleData extends Object
Stores information about scale and range that `JSVPanel` needs to to display a graph with a single plot. (For graphs that require multiple plots to be overlaid.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`exportPrecision`
`double`
`maxXOnScale`
the maximim X value on the scale, usually maxX
`double`
`maxYOnScale`
`double`
`minXOnScale`
the minimum X value on the scale, usually minX
`double`
`minYOnScale`
`int[]`
`precision`
The precision (number of decimal places) of the X and Y values
`double[]`
`steps`
The step values for the X and Y scales

## Constructor Summary

Constructors
Constructor
Description
`ScaleData(Coordinate[] coords, int start, int end, boolean isContinuous, boolean isInverted)`
Calculates values that `JSVPanel` needs in order to render a graph, (eg.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### minXOnScale

public double minXOnScale
the minimum X value on the scale, usually minX

### maxXOnScale

public double maxXOnScale
the maximim X value on the scale, usually maxX

### precision

public int[] precision
The precision (number of decimal places) of the X and Y values

### exportPrecision

public int[] exportPrecision

### steps

public double[] steps
The step values for the X and Y scales

### minYOnScale

public double minYOnScale

### maxYOnScale

public double maxYOnScale

## Constructor Details

### ScaleData

public ScaleData(Coordinate[] coords, int start, int end, boolean isContinuous, boolean isInverted)
Calculates values that `JSVPanel` needs in order to render a graph, (eg. scale, min and max values) and stores the values in the class `ScaleData`.

Parameters:
  `coords` - the array of coordinates
  `start` - the start index
  `end` - the end index
  `isContinuous` -
  `isInverted` -